com.pivotal.gemfirexd.internal.client.am

## Class AsciiStream

- java.lang.Object
- - java.io.InputStream
  - - com.pivotal.gemfirexd.internal.client.am.AsciiStream

All Implemented Interfaces:
  Closeable, AutoCloseable

    public class AsciiStream
    extends InputStream

### Constructor Summary

Constructors
Constructor and Description
`AsciiStream(String materializedString)`
`AsciiStream(String materializedString, Reader reader)`

### Method Summary

Methods
`int` `available()`
`int` `read()`

### Methods inherited from class java.io.InputStream

`close, mark, markSupported, read, read, reset, skip`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AsciiStream

    public AsciiStream(String materializedString)

#### AsciiStream

    public AsciiStream(String materializedString,
               Reader reader)

### Method Detail

#### read

    public int read()
             throws IOException

Specified by:
  `read` in class `InputStream`
Throws:
  `IOException`

#### available

    public int available()

Overrides:
  `available` in class `InputStream`